Search
All operations require authentication, except the 10 marked Public.
Search the addresses near a locationProductionPublic
Returns, as an asynchronous task, the addresses around a GPS location with their coordinates, street code, building reference and distance. The search radius is 10 meters by default.
Request body (required)
Distance in meters to search for from initial location (default is 10 meters)
Latitude
Longitude
Response
AsyncTask status
errorokpendingPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ search/ addresses{ "error": "string", "result": [ { "buildingName": "string", "buildingReference": "string", "city": "string", "distance": "string", "inseeCode": "string", "latitude": "string", "longitude": "string", "streetCode": "string", "streetName": "string", "streetNumber": "string", "zipCode": "string" } ], "status": "error"}
Get the details of a buildingProductionPublic
Returns, as an asynchronous task, the name, type, NRO and stairs of a building given by its identifier. Get the identifier with the search/buildings calls.
Request body (required)
Building identifier, that can be found using /connectivity/eligibility/search/building* methods
If possible, force to use a particular provider repository
Response
Details of a Building
AsyncTask status
errorokpendingPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ search/ buildingDetails{ "error": "string", "result": { "name": "string", "nro": "string", "reference": "string", "stairs": [ { "floors": [ "string" ], "stair": "string" } ], "type": "BUILDING" }, "status": "error"}
Search the buildings of an addressProductionPublic
Returns, as an asynchronous task, the buildings at an address with their reference, name, type, NRO and stairs. The address needs at least a street code and street number, or a Hexacle.
Request body (required)
Hexacle is a French unique identifier of the address (you can get it with POST /connectivity/eligibility/search/streetNumbers/details)
A possible alternative identifier of the street (you can get it with POST /connectivity/eligibility/search/streets)
Unique identifier of the street (you can get it with POST /connectivity/eligibility/search/streets)
Street number
Response
AsyncTask status
errorokpendingPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ search/ buildings{ "error": "string", "result": [ { "name": "string", "nro": "string", "reference": "string", "stairs": [ { "floors": [ "string" ], "stair": "string" } ], "type": "BUILDING" } ], "status": "error"}
Search the buildings of a line numberProductionPublic
Returns, as an asynchronous task, the buildings linked to a line number and its status, with their reference, name, type, NRO and stairs.
Request body (required)
Line number
Line status
activeinactiveResponse
AsyncTask status
errorokpendingPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ search/ buildingsByLine{ "error": "string", "result": [ { "name": "string", "nro": "string", "reference": "string", "stairs": [ { "floors": [ "string" ], "stair": "string" } ], "type": "BUILDING" } ], "status": "error"}
Search the localities of a zip codeProductionPublic
Returns, as an asynchronous task, the cities and localities linked to a zip code with their INSEE code. Use the INSEE code to search the streets of a locality.
Request body (required)
Zip code
Response
AsyncTask status
errorokpendingPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ search/ cities{ "error": "string", "result": [ { "city": "string", "inseeCode": "string", "locality": "string", "zipCode": "string" } ], "status": "error"}
Search the lines at an addressDeprecatedPublic
Deprecated since Apr 8, 2026, will be removed on Jul 8, 2026.
Deprecated: this endpoint is scheduled for deletion. Returns, as an asynchronous task, the inactive copper lines at an address, and the active ones when the owner name is given (at least its first three characters).
Request body (required)
Owner name, at least the first three chars
Street code, that can be found using /connectivity/eligibility/search/streets method
Street number, that can be found using /connectivity/eligibility/search/streetNumbers method
Response
AsyncTask status
errorokpendingPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ search/ lines{ "error": "string", "result": [ { "address": { "building": "string", "city": "string", "door": "string", "floor": "string", "housingComplex": "string", "inseeCode": "string", "ownerName": "string", "stairs": "string", "streetCode": "string", "streetName": "string", "streetNumber": "string", "zipCode": "string" }, "copperInfo": { "availablePairs": 0, "maxAvailablePairs": 0, "nra": "string", "sectionsLengths": [ { "diameter": 0, "length": 0 } ], "status": "active", "underConstruction": true, "unlistedNumber": true }, "lineNumber": "string" } ], "status": "error"}
Search the installation meeting slotsProductionPublic
Returns, as an asynchronous task, the available time slots for a copper line creation or a fiber installation meeting, for an eligibility test reference and a chosen offer.
Request body (required)
Eligibility test reference
Installation type, for fiber only
activateactivate_undefinedcreatemultiOtpFill in this field with your OTP reference if you have one
Offer plan code
Choosen offer product code
Site company name, please use the name and firstname for an individual
Special case to ask a technical visit on Fiber installation
complexsimpleOffer product type
ADSLFTTEFTTHFTTOSDSLVDSLOffer product unbundling type
fullpartialResponse
List of available meeting time slots
AsyncTask status
errorokpendingPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ search/ meetings{ "error": "string", "result": { "canBookFakeMeeting": true, "capacities": { "eRdv": true, "phoneCall": true }, "meetingSlots": [ { "endDate": "2024-01-01T12:00:00Z", "slotId": "string", "startDate": "2024-01-01T12:00:00Z", "uiCode": "string" } ] }, "status": "error"}
Search the numbers of a streetProductionPublic
Returns, as an asynchronous task, the available street numbers of a street given by its street code. Get the street code with search/streets.
Request body (required)
Street alternative code, a possible alternative identifier of the street
Street code, an unique identifier of the street
Response
AsyncTask status
errorokpendingPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ search/ streetNumbers{ "error": "string", "result": [ "string" ], "status": "error"}
Search the numbers of a street with their detailsProductionPublic
Returns, as an asynchronous task, the available street numbers of a street given by its street code, each with its Hexacle address identifier. Get the street code with search/streets.
Request body (required)
Street alternative code, a possible alternative identifier of the street
Street code, an unique identifier of the street
Response
AsyncTask status
errorokpendingPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ search/ streetNumbers/ details{ "error": "string", "result": [ { "hexacle": "string", "number": "string" } ], "status": "error"}
Search the streets of a localityProductionPublic
Returns, as an asynchronous task, the streets of a locality given by its INSEE code, with their name, street code and alternative code. Get the INSEE code with search/cities.
Request body (required)
French INSEE identifier (you can get it with POST /connectivity/eligibility/search/cities)
Response
AsyncTask status
errorokpendingPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ search/ streets{ "error": "string", "result": [ { "streetAltCode": "string", "streetCode": "string", "streetName": "string" } ], "status": "error"}